/* ------------------------------------------------------------------------
System       : cc65 cross-development environment
Platform     : Apple IIgs or Apple IIe

Bill Buckels
Aug 2014

Licence      : You may use this program for whatever you wish as long
			   as you agree that Bill Buckels has no warranty or
			   liability obligations whatsoever from said use.
------------------------------------------------------------------------ */

#ifndef __APPLE2__
#define __APPLE2__
#endif

#include <stdio.h>
#include <string.h>
#include <conio.h>


/* speed 0 - advance on keypress */
/* speeds 1-9 fastest to slowest */
int demospeed = 3;

/* all the core routines etc. are included in the local headers */
#include "bounce.h"

int main(void)
{
	int i;
	unsigned char ch;

   /* initialize 80 column card */
    videomode(VIDEOMODE_80COL);
    clrscr();
    while (kbhit() > 0)cgetc();
    puts("dhrbounce(C) Bill Buckels 2014.");
    puts("--------------------------------------");
    puts("Demo Keys:");
    puts("Numeric Keys 1-9 - Fastest to Slowest");
    puts("Numeric Key  0   - Advance On Keypress");
    puts("RETURN Key       - Next Sprite");
    puts("ESC Key          - Exit");
    puts("--------------------------------------");
    puts("Press any key to start...");
    ch = cgetc();
    while (kbhit() > 0)cgetc();
    clrscr();


    /* turn-on double hi-res and clear the dhgr screen */
    dhireson();
    dhiresclear();


	i = 0;
	for (;;) {
        switch(i) {
		  case 0:
			 ch = FragDemo((unsigned char *)&RDRAGONPixelData[0],(unsigned char *)&LDRAGONPixelData[0],
			                                 DRAGONWIDTH,DRAGONHEIGHT,DRAGONBackgroundColor);
			 break;
		  case 1:
		     ch = FragDemo((unsigned char *)&RFAIRYPixelData[0],(unsigned char *)&LFAIRYPixelData[0],
		                                     FAIRYWIDTH,FAIRYHEIGHT,FAIRYBackgroundColor);
		     break;
		  case 2:
		  	 ch = FragDemo((unsigned char *)&RWIZARDPixelData[0],(unsigned char *)&LWIZARDPixelData[0],
		  	                                 WIZARDWIDTH,WIZARDHEIGHT,WIZARDBackgroundColor);
		  	 break;
		  case 3:
		  	 ch = FragDemo((unsigned char *)&RTROLLPixelData[0],(unsigned char *)&LTROLLPixelData[0],
		  	                                 TROLLWIDTH,TROLLHEIGHT,TROLLBackgroundColor);
		  	 break;
		 }

		 if (ch == 27) break;
		 i++;
		 if (i > 3)i=0;
	}

    dhiresclear();
    dhiresoff();
    videomode(VIDEOMODE_80COL);
    clrscr();

    /* and exit */
    return 0;


}
